<article>
  <input
    type="text"
    [(ngModel)]="productName"
    placeholder="Search & select product..."
  />

  <ul *ngIf="searchProducts.length > 0">
    <li *ngFor="let product of searchProducts" (click)="onSelectSubmit($event)">
      {{ product.name | truncate: 22 }}
    </li>
  </ul>
</article>
